# Contact Information

This object allows you to add and manage a Borrower's contact information. A Borrower can
have an "unlimited" number of contacts. However, it is important to properly create key contact objects.

Peach Borrower Portal (if used by the lender), shows the following contacts only:

`EMAIL` contactType=email, label=personal or work, affiliation=self, status=primary.

`MOBILE PHONE` contactType=phone, label=personal, affiliation=self, status=primary.

`HOME PHONE` contactType=phone, label=home, affiliation=self, status=secondary.

`HOME ADDRESS` contactType=address, label=home, affiliation=self, status=primary.


The Peach system sends notices (e.g. payment reminder) to borrowers (if configured by the lender).
In order for a notice to be sent successfully, both contact object and template must exist.
If a contact cannot be found, the system will not send a notice.
The system will try to find the following contact objects:


Email notices:
contactType=email, valid=true, affiliation=self, status=primary
(if "primary" is not found, the system searches for "secondary" and then for "additional")


Text message/SMS notices:
contactType=phone, valid=true, affiliation=self, receiveTextMessages=true, label=personal, status=primary
(if "primary" is not found, the system searches for "secondary" and then for "additional")


## List contact for borrower

 - [GET /people/{personId}/contacts](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.list_contacts_for_borrower.md): List contacts for a borrower.

## Create contact

 - [POST /people/{personId}/contacts](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.create_contact_for_borrower.md): Create contact for a borrower.

## Delete contact

 - [DELETE /people/{personId}/contacts/{contactId}](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.delete_contact.md): Delete a borrower's contact.

## Get contact by ID

 - [GET /people/{personId}/contacts/{contactId}](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.get_contact_for_borrower.md)

## Update contact

 - [PUT /people/{personId}/contacts/{contactId}](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.update_contact_for_borrower.md): Update contact of a borrower.

## Clone contact

 - [POST /people/{personId}/contacts/{contactId}/clone](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.clone_contact.md): Clones the borrower's contact information. 

This copies all properties from the existing contact and applies 
the passed properties. Sets externalId of the existing contact to null. 
Sets the status of the existing contact to archived.

Returns the new contact with a new Peach ID.

